OFX-parser

I am trying to parser a ofx file .I have installed ofx-parser gem.
But I am getting error:
no such file to load -- hpricot_scan

I have checked my gem folder ,I have got hpricot-0.8.1 which is >
hpricot-0.6(requirement of ofx-parser)..

My code in the General controller look like

require 'rubygems'
require 'ofx-parser'

def testing
  ofx = OfxParser::OfxParser.parse(open("C:\\statement.ofx"))
end